--- /dev/null	2012-08-08 12:42:23.000000000 +0000
+++ new/usr/src/uts/common/netinet/dccp.h	2012-08-08 12:42:23.036844669 +0000
@@ -0,0 +1,55 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2012 David Hoeppner.  All rights reserved.
+ */
+
+#ifndef	_NETINET_DCCP_H
+#define	_NETINET_DCCP_H
+
+#ifdef	__cplusplus
+extern "C" {
+#endif
+
+/*
+ * DCCP header
+ */
+struct dccphdr {
+	uint16_t	dh_sport;
+	uint16_t	dh_dport;
+	uint8_t		dh_offset;
+#ifdef _BIT_FIELDS_LTOH
+	uint8_t		dh_ccval:4,
+			dh_cscov:4;
+#else
+	uint8_t		dh_cscov:4,
+			dh_ccval:4;
+#endif
+	uint16_t	dh_sum;
+#ifdef _BIT_FIELDS_LTOH
+	uint8_t		dh_x:1,
+			dh_type:4,
+			dh_reserved:3;
+#else
+	uint8_t		dh_reserved:3,
+			dh_type:4,
+			dh_x:1;
+#endif
+	uint8_t		dh_res_seq;
+	uint16_t	dh_seq;
+};
+
+#ifdef	__cplusplus
+}
+#endif
+
+#endif	/* _NETINET_DCCP_H */
